"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72b90>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72c20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72cb0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72d40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72dd0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72e60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72ef0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d72f80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73010>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d730a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73130>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d731c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73250>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d732e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73370>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73490>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73520>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d735b0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73640>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d736d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73760>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d737f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73880>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d739a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73910>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73a30>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73ac0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73b50>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73be0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73c70>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73d00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73d90>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73e20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73eb0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f4993d73f40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b00d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b01f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b03a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b04c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b05e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b08b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b09d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0a60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0af0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0c10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0ca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0d30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0dc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0e50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0ee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b0f70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1000>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b11b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1090>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1240>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b12d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1360>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b13f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1480>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b15a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1510>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1630>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b16c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1750>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1870>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b17e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1900>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1990>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1a20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1ab0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1b40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f49926b1bd0>)]
name: str = 'fr_HOCCN'
